%define name foff
%define version 0.99.5
%define release %mkrel 2

Summary:	Free Open FTP Face is a lightweight graphical (GTK+) FTP client
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
Group:		Networking/WWW
Source0:	http://sourceforge.net/project/showfiles.php?group_id=168445/%{name}-%{version}.tar.xz
Source1:        setup.py
URL:		http://foff.sourceforge.net/
BuildRequires:	python-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
Requires:       python => 2.5
Requires:       pygtk2.0
Requires:       pymedia
Requires:       pygtk2.0-libglade

%description
Its emphasis is on simplicity, convenience, and ease of use. Many free FTP
clients for Windows lack the clean, uncluttered interface that gFTP on Linux
has, for example. The idea behind the built-in text and image viewers, is that
regardless of the operating system, you can instantly view text and image files
since there's no overhead from loading an external program.

%prep
%setup -q -n %{name}
cp %SOURCE1 .

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT --optimize=2
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
mv $RPM_BUILD_ROOT/usr/foff.glade $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -a *.py *.glade *.gladep *.png $RPM_BUILD_ROOT%{_datadir}/%{name}


mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %_datadir/%{name}/
python foff.py $*
EOF
chmod +x %{buildroot}%{_bindir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Version=1.0
Name=Free Open FTP Face
Comment=lightweight graphical (GTK+) FTP client
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Network;X-MandrivaLinux-Internet-FileTransfer;
EOF

# icons
mkdir -p %buildroot/{%_liconsdir,%_miconsdir,%_iconsdir} 
install -m 644 *.png %buildroot/%_liconsdir/%name.png
convert -scale 48 %buildroot/%_liconsdir/%name.png %buildroot/%_liconsdir/%name.png
install -m 644 *.png %buildroot/%_iconsdir/%name.png
convert -scale 32 %buildroot/%_iconsdir/%name.png %buildroot/%_iconsdir/%name.png
install -m 644 *.png %buildroot/%_miconsdir/%name.png
convert -scale 16 %buildroot/%_miconsdir/%name.png %buildroot/%_miconsdir/%name.png

# remove
rm -f $RPM_BUILD_ROOT/usr/*.txt
rm -f $RPM_BUILD_ROOT/%{_datadir}/%{name}/setup.py
rm -rf $RPM_BUILD_ROOT%{py_sitedir}/


%clean
rm -rf $RPM_BUILD_ROOT


%post
%update_menus


%postun
%clean_menus


%files
%defattr(-,root,root,-)
%doc *.txt 
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_miconsdir}/%name.png
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png

%changelog
* Sun Oct 17 2010 Sproggy <desproggster@gmail.com> 0.99.5-2pclos2010
- update 2010

* Thu Jun 11 2009 slick50 <lxgator@gmail.com> 0.99.5-1pclos2009
- initial build
